Subject: Re: bug#78039: 31.0.50; gtk

From: Christian de Larrinaga <[email-masked]>
Date: Fri, 25 Apr 2025 10:38:07 +0100

Po Lu <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> Date: Thu, 24 Apr 2025 13:02:33 +0100
>>> From:  Christian de Larrinaga via "Bug reports for GNU Emacs,
>>>  the Swiss army knife of text editors" <[email-masked]>
>>> 
>>> 
>>> note: 
>>> 
>>> Error loading autoloads: (file-missing Cannot open load file No such
>>> file or directory
>>> /home/christian/.emacs.d/elpa/with-editor-20241201.1419/with-editor-autoloads)
>>> 
>>> (emacs:1007545): Gtk-CRITICAL **: 18:06:14.102: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed
>>> 
>>> I'll be updating and rebuilding emacs / org mode  / mu shortly but these
>>> errors have persisted but don't crash emacs.
>>> 
>>> my init needs work to reduce clutter and keep up with changes and
>>> simplify package as is bloating up. 
>>
>> Po Lu, any ideas or suggestions?
>
> These messages are unavoidable but can be safely dismissed, as GTK is
> simply an incredibly garrulous library.  I suggest configuring Emacs
> with no X toolkit or Motif or Lucid widgets if you absolutely must
> eliminate them.

thank you both for the feedback.

I may be a bit confused about building emacs for wayland rather than x windows

This tuxedo laptop uses ubuntu 24.04 lts with wayland not x. I want to
avoid mixing x with this system if possible.

what compile options (docs) do you recommend I consider when building emacs
for instance from latest git repo?

C

-- 
Christian de Larrinaga